Update credit note by ID
curl --request PATCH \
--url https://api.zenskar.com/credit_notes/{credit_note_id} \
--header 'Content-Type: application/json' \
--header 'organisation: <api-key>' \
--header 'x-api-key: <api-key>' \
--data '
{
"amount": 123,
"currency": "<string>",
"line_items": {},
"custom_data": {}
}
'import requests
url = "https://api.zenskar.com/credit_notes/{credit_note_id}"
payload = {
"amount": 123,
"currency": "<string>",
"line_items": {},
"custom_data": {}
}
headers = {
"x-api-key": "<api-key>",
"organisation": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-api-key': '<api-key>',
organisation: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({amount: 123, currency: '<string>', line_items: {}, custom_data: {}})
};
fetch('https://api.zenskar.com/credit_notes/{credit_note_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"currency": "<string>",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "in_progress",
"repayment_method": "credits",
"line_items_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"credits_returned": 123,
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>",
"external_id": "<string>"
},
"invoice": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>",
"external_id": "<string>"
},
"invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"custom_data": {},
"credit_note_number": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Credit Notes
Update credit note by ID
Update an existing credit note with the provided details. The credit note will be associated with the organisation.
PATCH
/
credit_notes
/
{credit_note_id}
Update credit note by ID
Authorizations
Path Parameters
Body
application/json
Amount
Currency
Status
Available options:
in_progress, issued, void, paid Repayment Method
Available options:
credits, invoice_adjusted, external_payment, credits_against_payment, original_payment_method Line Items
Custom Data Dictionary
Response
Successful Response
ID
Amount in lowest denomination of the currency
Currency
Customer ID
Status
Available options:
in_progress, issued, void, paid Repayment Method
Available options:
credits, invoice_adjusted, external_payment, credits_against_payment, original_payment_method Line Items URL
Created At
Credits amount in lowest denomination of the currency
Customer Object
Show child attributes
Show child attributes
Invoice Object
Show child attributes
Show child attributes
Invoice ID
Custom Data Dictionary
Credit Note Number